#ifndef __UNIT_TEST
#define __UNIT_TEST

#include <stdio.h>
#include "unit_rgb.h"
#include "unit_math.h"
#include "unit_rgb_float.h"

int tests_run = 0;

static char* all_tests()
{
	mu_run_test(test_rgb_set);
	mu_run_test(test_set_rgb);
	mu_run_test(test_set_rgbv);
	mu_run_test(test_rgb_get);

	mu_run_test(test_max);

	mu_run_test(test_to_float_rgb);

	return NULL;
}


int main(int argc, char** argv)
{
	all_tests();

	return 1;
}

#endif
